## com.baidubce.internal
Class RestartableMultiByteArrayInputStream

    java.lang.Object
      java.io.InputStream
          com.baidubce.internal.RestartableInputStream
              com.baidubce.internal.RestartableMultiByteArrayInputStream

All Implemented Interfaces:
  Closeable

    public class RestartableMultiByteArrayInputStream

extends RestartableInputStream

Restartable MultiByteArray InputStream extends Restartable InputStream.

Constructor Summary
`RestartableMultiByteArrayInputStream(List<byte[]> byteArrayList, long length)`

Method Summary
`int` `read()`
`int` `read(byte[] b, int off, int len)`
`void` `restart()`

Methods inherited from class com.baidubce.internal.RestartableInputStream
`wrap`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RestartableMultiByteArrayInputStream

    public RestartableMultiByteArrayInputStream(List<byte[]> byteArrayList,
                                                long length)

Method Detail

### restart

    public void restart()

  Specified by:
    `restart` in class `RestartableInputStream`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read()

  Specified by:
    `read` in class `InputStream`

Copyright © 2016. All rights reserved.